Mailinglist Archive: opensuse-packaging (138 mails)

< Previous Next >
[opensuse-packaging] RPM and Perl
  • From: Bernhard Graf <opensuse@xxxxxxxxxxxxx>
  • Date: Fri, 16 Mar 2007 10:29:56 +0100
  • Message-id: <200703161029.57044.opensuse@xxxxxxxxxxxxx>
Hello,

I'm a first time poster to this list and hope it is the appropriate
forum for this subject.

I wanted to know the best way to cope with RPM and Perl modules.

The Perl distribution (Perl 5.8.8 atm) comes with a core of standard
modules. These are also part of the perl.rpm that comes with SuSE.

Meanwhile for most of the Perl core modules there are newer versions
available on CPAN, e.g. CGI.pm. Other (non-core) modules require these
newer version.

My question is: what is the best - or recommended - way to update Perl
modules of the core? Of course I can simply invoke the cpan script and
install them in no time at all, but then RPM's dependency mechanism
would never know about this. This in turn means I cannot build an RPM
(with correct requirements) for a non-core module that requires a newer
module version from the core modules

Any ideas welcome.
--
Bernhard Graf <opensuse@xxxxxxxxxxxxx>
---------------------------------------------------------------------
To unsubscribe, e-mail: opensuse-packaging+unsubscribe@xxxxxxxxxxxx
For additional commands, e-mail: opensuse-packaging+help@xxxxxxxxxxxx

< Previous Next >
This Thread
  • No further messages